org.mariadb.jdbc.util

## Class ConfigurableSocketFactory

- java.lang.Object
- - javax.net.SocketFactory
  - - org.mariadb.jdbc.util.ConfigurableSocketFactory

    public abstract class ConfigurableSocketFactory
    extends SocketFactory

### Constructor Summary

Constructors
Constructor and Description
`ConfigurableSocketFactory()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `setConfiguration(Options options, String host)`

### Methods inherited from class javax.net.SocketFactory

`createSocket, createSocket, createSocket, createSocket, createSocket, getDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigurableSocketFactory

    public ConfigurableSocketFactory()

### Method Detail

#### setConfiguration

    public abstract void setConfiguration(Options options,
                                          String host)